TEEM(1)

NAME
teem-overrgb - Composites an RGBA nrrd over a background color.

SYNOPSIS
teem-overrgb -i <nin> [-c <contrast>] [-cfp <fixed point>] \fR

DESCRIPTION
./teem-overrgb: Composites an RGBA nrrd over a background color (or image), after doing gamma correction, then quantizes to an 8-bit image. Actually, the input nrrd can have more than 4 values per pixel, but only the first four are used. If the RGBA nrrd is floating point, the values are taken at face value; if it is fixed point, the values interpreted as having been quantized (so that 8-bit RGBA images will act as you expect). When compositing with a background image, the given background image does not have to be the same size as the input image; it will be resampled (with linear interpolation) to fit.

    [-g <gamma>] [-b <background>] [-bi <nbg>] -o <filename>

-i <nin> = input nrrd to composite (nrrd)

-c <contrast> = contrast to apply to RGB values, before gamma. "0.0"
    means no change, "1.0" means thresholding, "-1.0" means a complete washout. (double); default: "0.0"

-cfp <fixed point> = component level that doesn't change with contrast

    (double); default: "0.5"

-g <gamma> = gamma to apply to image data, after contrast (double);
    default: "1.0"

-b <background> = background color to composite against; white is 1 1 1,
    not 255 255 255. (3 doubles); default: "0 0 0"

-bi <nbg> = 8-bit RGB background image to composite against (nrrd);
    default: ""

-o <filename> = file to write output PPM image to (string)

SEE ALSO
The full documentation for teem-overrgb is maintained as a Texinfo manual. If the info and teem-overrgb programs are properly installed at your site, the command

    info teem-overrgb

should give you access to the complete manual.